[arch-commits] Commit in abcde/repos (3 files)

Andrea Scarpino andrea at archlinux.org
Sun Jan 3 06:26:23 EST 2010


    Date: Sunday, January 3, 2010 @ 06:26:23
  Author: andrea
Revision: 62140

Merged revisions 62139 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/abcde/trunk

........
  r62139 | andrea | 2010-01-03 12:25:34 +0100 (Sun, 03 Jan 2010) | 2 lines
  
  upgpkg: abcde 2.4.0-2
      use optdepends for backend tools (FS#17648); added a patch applied upstream to fix mp3 tagging issue (FS#17682)
........

Added:
  abcde/repos/extra-any/fix-mp3-tagging.patch
    (from rev 62139, abcde/trunk/fix-mp3-tagging.patch)
Modified:
  abcde/repos/extra-any/	(properties)
  abcde/repos/extra-any/PKGBUILD

-----------------------+
 PKGBUILD              |   32 +++++++++++++++++++++++---------
 fix-mp3-tagging.patch |   13 +++++++++++++
 2 files changed, 36 insertions(+), 9 deletions(-)


Property changes on: abcde/repos/extra-any
___________________________________________________________________
Modified: svnmerge-integrated
   - /abcde/trunk:1-57607
   + /abcde/trunk:1-62139

Modified: extra-any/PKGBUILD
===================================================================
--- extra-any/PKGBUILD	2010-01-03 11:25:34 UTC (rev 62139)
+++ extra-any/PKGBUILD	2010-01-03 11:26:23 UTC (rev 62140)
@@ -1,27 +1,41 @@
 # $Id$
+# Maintainer:
 # Contributor: Jochem Kossen <j.kossen at home.nl>
 # Contributor: Kevin Piche <kevin at archlinux.org>
 
 pkgname=abcde
 pkgver=2.4.0
-pkgrel=1
+pkgrel=2
 pkgdesc="A frontend command-line utility that grabs tracks off a CD, encodes them to ogg or mp3 format, and tags them, all in one go."
-depends=('bash' 'cd-discid' 'cdparanoia' 'lame' 'vorbis-tools' 'wget' 'id3' 'id3v2')
+depends=('bash' 'cd-discid' 'wget')
+optdepends=('eject: Eject support'
+	'cdparanoia: Paranoia ripping support'
+	'cdrkit: icedax ripping support'
+	'lame: MP3 encoding support'
+	'vorbis-tools: Ogg Vorbis encoding support'
+	'flac: FLAC encoding support'
+	'id3: ID3 v1/v2 tag support'
+	'id3v2: ID3 v2 tag support')
 backup=(etc/$pkgname.conf)
 arch=('any')
 url="http://code.google.com/p/abcde"
 license=('GPL')
-source=(ftp://ftp.archlinux.org/other/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('4a65d9ae97b99d34257e2892cfe6ea41')
+source=(ftp://ftp.archlinux.org/other/${pkgname}/${pkgname}-${pkgver}.tar.bz2
+	'fix-mp3-tagging.patch')
+md5sums=('4a65d9ae97b99d34257e2892cfe6ea41'
+         'bc9be1bc3b4f6dc1f90de67debce94ec')
 
 build() {
   cd $srcdir/$pkgname-$pkgver
 
+  patch -Np0 -i ${srcdir}/fix-mp3-tagging.patch || return 1
+
   sed -e "s:normalize-audio:normalize:g" -i $pkgname
   sed -e "s:/usr/bin/less:/bin/less:g" -i $pkgname
-  install -Dm 0755 $pkgname $pkgdir/usr/bin/$pkgname
-  install -Dm 0755 cddb-tool $pkgdir/usr/bin/cddb-tool
-  install -Dm 0644 cddb-tool.1 $pkgdir/usr/share/man/man1/cddb-tool.1
-  install -Dm 0644 $pkgname.1 $pkgdir/usr/share/man/man1/$pkgname.1
-  install -Dm 0644 $pkgname.conf $pkgdir/etc/$pkgname.conf
+
+  install -Dm 0755 $pkgname $pkgdir/usr/bin/$pkgname || return 1
+  install -Dm 0755 cddb-tool $pkgdir/usr/bin/cddb-tool || return 1
+  install -Dm 0644 cddb-tool.1 $pkgdir/usr/share/man/man1/cddb-tool.1 || return 1
+  install -Dm 0644 $pkgname.1 $pkgdir/usr/share/man/man1/$pkgname.1 || return 1
+  install -Dm 0644 $pkgname.conf $pkgdir/etc/$pkgname.conf || return 1
 }

Copied: abcde/repos/extra-any/fix-mp3-tagging.patch (from rev 62139, abcde/trunk/fix-mp3-tagging.patch)
===================================================================
--- extra-any/fix-mp3-tagging.patch	                        (rev 0)
+++ extra-any/fix-mp3-tagging.patch	2010-01-03 11:26:23 UTC (rev 62140)
@@ -0,0 +1,13 @@
+Index: abcde
+===================================================================
+--- abcde	(revision 282)
++++ abcde	(revision 283)
+@@ -835,7 +835,7 @@
+ 						-A "$DALBUM" -a "$TRACKARTIST" -t "$TRACKNAME" \
+ 						-y "$CDYEAR" -g "$GENREID" \
+ 						-T "${TRACKNUM:-$1}/$TRACKS" \
+-						"${TPE2:+--TPE2 \"$TPE2\"}" \
++						${TPE2:+--TPE2 "$TPE2"} \
+ 						"$ABCDETEMPDIR/track$1.$OUTPUT"
+ 					;;
+ 			esac



More information about the arch-commits mailing list